import { r as registerInstance, h, H as Host } from './index-acdc1ac0.js';

const dvnMenuSectionCss = ":host{display:flex}:host(.horizontal){flex-direction:row;align-items:center}:host(.vertical){flex-direction:column}:host(:first-child) .title{text-transform:uppercase;margin:0 0 calc(2 * var(--spacing-unit)) 0}:host(:not(:first-child)) .title{text-transform:uppercase;margin:calc(6 * var(--spacing-unit)) 0 calc(2 * var(--spacing-unit)) 0}";

const DvnMenuSection = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.orientation = 'vertical';
  }
  render() {
    return (h(Host, { class: { [this.orientation]: true } }, this.sectionTitle && h("h5", { class: "title" }, this.sectionTitle), h("slot", null)));
  }
};
DvnMenuSection.style = dvnMenuSectionCss;

export { DvnMenuSection as dvn_menu_section };
